Package org.silverpeas.mobile.shared.dto.almanach

## Class CalendarDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.almanach.CalendarDTO

- All Implemented Interfaces:
    `Serializable`

      public class CalendarDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId()` |
    `String` | `getOwnerName()` |
    `String` | `getTitle()` |
    `String` | `getUri()` |
    `String` | `getZoneId()` |
    `boolean` | `isMain()` |
    `boolean` | `isUserMainPersonal()` |
    `boolean` | `isUserPersonal()` |
    `void` | `setId​(String id)` |
    `void` | `setMain​(boolean main)` |
    `void` | `setOwnerName​(String ownerName)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUri​(String uri)` |
    `void` | `setUserMainPersonal​(boolean userMainPersonal)` |
    `void` | `setUserPersonal​(boolean userPersonal)` |
    `void` | `setZoneId​(String zoneId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarDTO

          public CalendarDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getZoneId

          public String getZoneId()

    - #### setZoneId

          public void setZoneId​(String zoneId)

    - #### isMain

          public boolean isMain()

    - #### setMain

          public void setMain​(boolean main)

    - #### isUserMainPersonal

          public boolean isUserMainPersonal()

    - #### setUserMainPersonal

          public void setUserMainPersonal​(boolean userMainPersonal)

    - #### isUserPersonal

          public boolean isUserPersonal()

    - #### setUserPersonal

          public void setUserPersonal​(boolean userPersonal)

    - #### getOwnerName

          public String getOwnerName()

    - #### setOwnerName

          public void setOwnerName​(String ownerName)

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri​(String uri)